<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    <EventButton @on-click="handleClick">自定义事件</EventButton>
    <EventButton @click.native="handleClick">Native自定义事件</EventButton>
  </div>
</template>

<script>
import EventButton from './EventButton'
export default {
  name: 'HelloWorld',
  data () {
    return {
      msg: 'Welcome to Your Vue.js App'
    }
  },
  components:{
    EventButton
  },
  methods:{
    handleClick(){
      console.log('自定义事件')
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
